Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.pull
Class PullConsumer

    java.lang.Object
      net.sf.saxon.pull.PullConsumer

    public class PullConsumer

extends Object

A PullConsumer consumes all the events supplied by a PullProvider, doing nothing with them. The class exists so that PullFilters on the pipeline can produce side-effects. For example, this class can be used to validate a document, where the side effects are error messages.

Constructor Summary
`PullConsumer(PullProvider in)`

Method Summary
`void` | `consume()` Consume the input

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PullConsumer

    public PullConsumer(PullProvider in)

Method Detail

### consume

    public void consume()
                 throws XPathException

  Consume the input

  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.